import { ValidationContext } from "../validation/ValidationContext";
import { SendVoteorder } from "../protocol/SendVoteorder";
import { Rule } from "./Rule";
export declare class AuthorsRule extends Rule {
    rule: string;
    authors: string[];
    mode: AuthorsRule.Mode;
    constructor(mode: AuthorsRule.Mode, authors: string[]);
    type(): Rule.Type;
    validate(voteorder: SendVoteorder, context: ValidationContext): Promise<void>;
    validateRuleObject(unprototypedObj: any): void;
    getDescription(): string;
}
export declare namespace AuthorsRule {
    enum Mode {
        ALLOW = "allow",
        DENY = "deny"
    }
}
